Bug 130080 - saving capture file causes application to crash
saving capture file causes application to crash
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ethereal (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-16 17:40 EDT by Brian Brock
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 07:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2004-08-16 17:40:22 EDT
ethereal-0.10.5-0.30E.2

start application, start packet capture, allow time to pass to capture
some packets, stop capture, click save, enter a filename to be used as
the save file (preexisting state does not seem to matter), click the
OK button in the save-file dialog.

ethereal will immediately exit, printing the following in the process:

# ethereal
Gdk-ERROR **: BadWindow (invalid Window parameter)
  serial 13968 error_code 3 request_code 15 minor_code 0


exit code is '1':
.live.[root@i386-3es:~]# echo $?
1

The save file will exist, and can be read by ethereal without problem.
 It seems to contain the full contents of the file, but I've not
conducted exhaustive comparisons on large sets of live-captured
packets.  I'm open to suggestions for test strategies, if any might be
useful.

Seems to happen with total reliability, I have found no workaround
using the steps listed above.

Expected behavior is for the application to silently continue running.
Comment 1 Andy Grover 2004-11-22 19:43:31 EST
I'm seeing this too using FC3. not 100% repeatable from saving, but
pretty often.
Comment 2 Radek Vokal 2004-11-23 02:33:26 EST
This is really weird as I haven't seen this happening on any of my
machines and I'm using ethereal quite often. I guess you can't send me
strace when this bug happens only occasionally :(  Anyway new version
of ethereal is avaliable now in development tree - ethereal-0.10.7. I
don't see anything in changelog mentioning that file saving was fixed
but it would be great if you try it out. 
Comment 4 Radek Vokal 2005-01-04 07:40:13 EST
Fixed in ethereal-0.10.8

Note You need to log in before you can comment on or make changes to this bug.